#ifndef _vvLandmarksPanelPlugin_CXX
#define _vvLandmarksPanelPlugin_CXX

/**
   =================================================
   * @file   vvLandmarksPanelPlugin.cxx
   * @author David Sarrut <david.sarrut@creatis.insa-lyon.fr>
   * @date   08 May 2004 14:32:19
   * 
   * @brief  
   * 
   * 
   =================================================*/

#include "vvLandmarksPanelPlugin.h"

#include <QtPlugin>
#include <iostream>

//====================================================================
vvLandmarksPanelPlugin::vvLandmarksPanelPlugin(QObject *parent) 
  : QObject(parent)  {
  std::cout << "link const plugin" << std::endl;
  initialized = false;
}
//====================================================================

//====================================================================
void vvLandmarksPanelPlugin::initialize(QDesignerFormEditorInterface * /* core */)  {
  if (initialized)
    return;
  initialized = true;
}
//====================================================================

//====================================================================
bool vvLandmarksPanelPlugin::isInitialized() const  {
  return initialized;
}
//====================================================================

//====================================================================
QWidget *vvLandmarksPanelPlugin::createWidget(QWidget *parent)  {
  return new vvLandmarksPanel(parent);
  //====================================================================
}

//====================================================================
QString vvLandmarksPanelPlugin::name() const  {
  return "vvLandmarksPanel";
}
//====================================================================

//====================================================================
QString vvLandmarksPanelPlugin::group() const  {
  return "Display Widgets [Examples]";
}
//====================================================================

//====================================================================
QIcon vvLandmarksPanelPlugin::icon() const {
  return QIcon();
}
//====================================================================

//====================================================================
QString vvLandmarksPanelPlugin::toolTip() const {
  return "";
}
//====================================================================

//====================================================================
QString vvLandmarksPanelPlugin::whatsThis() const {
  return "";
}
//====================================================================

//====================================================================
bool vvLandmarksPanelPlugin::isContainer() const {
  return false;
}
//====================================================================

//====================================================================
QString vvLandmarksPanelPlugin::domXml() const {
  return "<widget class=\"vvLandmarksPanel\" name=\"vvLandmarksPanel\">\n"
    "</widget>\n";
}
//====================================================================

//====================================================================
QString vvLandmarksPanelPlugin::includeFile() const {
  return "vvLandmarksPanel.h";
}
//====================================================================

Q_EXPORT_PLUGIN2(customwidgetplugin, vvLandmarksPanelPlugin)

#endif /* end #define _vvLandmarksPanelPlugin_CXX */

