#ifndef _vvOverlayPanelPlugin_H
#define _vvOverlayPanelPlugin_H

/**
   =================================================
   * @file   vvOverlayPanelPlugin.h
   * @author David Sarrut <david.sarrut@creatis.insa-lyon.fr>
   * @date   08 May 2004 14:32:19
   * 
   * @brief  
   * 
   * 
   =================================================*/

#include <QDesignerCustomWidgetInterface>
#include "vvOverlayPanel.h" 

using namespace std;

class vvOverlayPanelPlugin : 
  public QObject, public QDesignerCustomWidgetInterface {
  
  Q_OBJECT
  Q_INTERFACES(QDesignerCustomWidgetInterface)

 public:
  vvOverlayPanelPlugin(QObject * parent=0);
  
  bool isContainer() const;
  bool isInitialized() const;
  QIcon icon() const;
  QString domXml() const;
  QString group() const;
  QString includeFile() const;
  QString name() const;
  QString toolTip() const;
  QString whatsThis() const;
  QWidget *createWidget(QWidget *parent);
  void initialize(QDesignerFormEditorInterface *core);

 private:
     bool initialized;
};

#endif /* _vvOverlayPanelPlugin_H */
  
