#ifndef _vvLinkPanelPlugin_CXX
#define _vvLinkPanelPlugin_CXX

/**
   =================================================
   * @file   vvLinkPanelPlugin.cxx
   * @author David Sarrut <david.sarrut@creatis.insa-lyon.fr>
   * @date   08 May 2004 14:32:19
   * 
   * @brief  
   * 
   * 
   =================================================*/

#include "vvLinkPanelPlugin.h"

#include <QtPlugin>
#include <iostream>

//====================================================================
vvLinkPanelPlugin::vvLinkPanelPlugin(QObject *parent) 
  : QObject(parent)  {
  std::cout << "link const plugin" << std::endl;
  initialized = false;
}
//====================================================================

//====================================================================
void vvLinkPanelPlugin::initialize(QDesignerFormEditorInterface * /* core */)  {
  if (initialized)
    return;
  initialized = true;
}
//====================================================================

//====================================================================
bool vvLinkPanelPlugin::isInitialized() const  {
  return initialized;
}
//====================================================================

//====================================================================
QWidget *vvLinkPanelPlugin::createWidget(QWidget *parent)  {
  return new vvLinkPanel(parent);
  //====================================================================
}

//====================================================================
QString vvLinkPanelPlugin::name() const  {
  return "vvLinkPanel";
}
//====================================================================

//====================================================================
QString vvLinkPanelPlugin::group() const  {
  return "Display Widgets [Examples]";
}
//====================================================================

//====================================================================
QIcon vvLinkPanelPlugin::icon() const {
  return QIcon();
}
//====================================================================

//====================================================================
QString vvLinkPanelPlugin::toolTip() const {
  return "";
}
//====================================================================

//====================================================================
QString vvLinkPanelPlugin::whatsThis() const {
  return "";
}
//====================================================================

//====================================================================
bool vvLinkPanelPlugin::isContainer() const {
  return false;
}
//====================================================================

//====================================================================
QString vvLinkPanelPlugin::domXml() const {
  return "<widget class=\"vvLinkPanel\" name=\"vvLinkPanel\">\n"
    "</widget>\n";
}
//====================================================================

//====================================================================
QString vvLinkPanelPlugin::includeFile() const {
  return "vvLinkPanel.h";
}
//====================================================================

Q_EXPORT_PLUGIN2(customwidgetplugin, vvLinkPanelPlugin)

#endif /* end #define _vvLinkPanelPlugin_CXX */

